Créer un membre
Dans cet extrait de code, vous apprendrez à créer un membre. Un membre peut être considéré comme un utilisateur qui a été invité à une conversation, qui l'a rejointe ou qui l'a quittée.
Exemple
Veillez à ce que les variables suivantes soient réglées sur les valeurs souhaitées en utilisant toute méthode appropriée :
| Clé | Description |
|---|---|
CONVERSATION_ID | The ID of the Conversation. |
USER_ID | The unique ID of the User. |
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Rédiger le code
Ajouter ce qui suit à create-member.sh:
curl -X "POST" "https://api.nexmo.com/v1/conversations/$CONV_ID/members" \
-H 'Authorization: Bearer '$JWT\
-H 'Content-Type: application/json' \
-d $'{
"user": {
"id": "'$CONV_USER_ID'"
},
"state": "'$CONV_MEMBER_STATE'",
"channel": {
"type": "app"
}
}'Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
npm install @vonage/server-sdkCréez un fichier nommé create-member.js et ajoutez le code suivant :
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,Rédiger le code
Ajouter ce qui suit à create-member.js:
const run = async () => {
const member = vonage.conversations.createMember(
CONV_ID,
{
user: {
id: CONV_USER_ID,
},
state: CONV_MEMBER_STATE,
channel: {
type:'app',
},
},
);
console.log(member);Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Ajouter ce qui suit à build.gradle:
implementation 'com.vonage:server-sdk:9.3.1'Créez un fichier nommé CreateMember et ajoutez le code suivant à la méthode main:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Rédiger le code
Ajouter ce qui suit à la méthode main du fichier CreateMember:
var member = client.getConversationsClient().createMember(
CONV_ID, Member.builder()
.channelType(ChannelType.APP)
.state(CONV_MEMBER_STATE)
.user(USER_ID)
.build()
);
System.out.println(member);Exécutez votre code
Nous pouvons utiliser le plugin Applications pour Gradle afin de simplifier l'exécution de notre application. Mettez à jour votre build.gradle avec ce qui suit :
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Exécutez la commande gradle suivante pour exécuter votre application, en remplaçant com.vonage.quickstart.conversation par le paquet contenant CreateMember:
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Install-Package VonageCréez un fichier nommé CreateMember.cs et ajoutez le code suivant :
using System;
using System.Threading.Tasks;
using Newtonsoft.Json;
using Vonage;
using Vonage.Conversations;
using Vonage.Conversations.CreateMember;
using Vonage.Request;Ajouter ce qui suit à CreateMember.cs:
var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);Rédiger le code
Ajouter ce qui suit à CreateMember.cs:
var response = await client.ConversationsClient.CreateMemberAsync(CreateMemberRequest.Build()
.WithConversationId(CONV_ID)
.WithState(CONV_MEMBER_STATE)
.WithUser(new MemberUser(CONV_USER_ID, CONV_USER_NAME))
.WithApp(CONV_USER_ID, ChannelType.App)
.Create());Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
composer require vonage/clientCréez un fichier nommé create-member.php et ajoutez le code suivant :
use Vonage\Conversation\ConversationObjects\CreateConversationRequest;
use Vonage\Conversation\ConversationObjects\UpdateConversationRequest;
require_once __DIR__ . '../../config.php';
require_once __DIR__ . '../../vendor/autoload.php';
$keypair = new \Vonage\Client\Credentials\Keypair(
file_get_contents(VONAGE_APPLICATION_PRIVATE_KEY_PATH),
VONAGE_APPLICATION_ID
);
$client = new \Vonage\Client($keypair);Rédiger le code
Ajouter ce qui suit à create-member.php:
$channel = new \Vonage\Conversation\ConversationObjects\Channel('app');
$createMemberRequest = new \Vonage\Conversation\ConversationObjects\CreateMemberRequest(
'invited',
\Vonage\Conversation\ConversationObjects\Channel::CHANNEL_TYPE_APP,
USER_ID
);
$client->conversation()->createMember($createMemberRequest, CONVERSATION_ID);Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Essayez-le
Lorsque vous exécutez le code, vous créez un nouveau membre. L'utilisateur spécifié sera invité à participer à la conversation spécifiée.